aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/ci/build_status_command.sh
diff options
context:
space:
mode:
authorGravatar Damien Martin-Guillerez <dmarting@google.com>2015-08-17 08:32:09 +0000
committerGravatar Damien Martin-Guillerez <dmarting@google.com>2015-08-17 09:09:03 +0000
commitf7a3931d7de0f99f5297bcc694b1e28625911d73 (patch)
tree12a72a67a7ceb72a454ef9d17b4175bc78eede1c /scripts/ci/build_status_command.sh
parentd8aff3352da3ee859d667e2e20bcf533669c3348 (diff)
CI scripts for the release process
It provides method to build, package and deploy artifacts, as well as constructing announcement mails: - bazel_build build bazel with the good label, execute the tests, build the packages and copy the artifacts into a release directory. - bazel_release deploy the relase to GCS and Github and send an announcement mail. -- Change-Id: I68f5a600c0718fac5fa12423d1cb8e0cc86728b5 Reviewed-on: https://bazel-review.googlesource.com/#/c/1811 MOS_MIGRATED_REVID=100805636
Diffstat (limited to 'scripts/ci/build_status_command.sh')
-rwxr-xr-xscripts/ci/build_status_command.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/scripts/ci/build_status_command.sh b/scripts/ci/build_status_command.sh
new file mode 100755
index 0000000000..6fb869fc92
--- /dev/null
+++ b/scripts/ci/build_status_command.sh
@@ -0,0 +1,43 @@
+#!/bin/bash -eu
+
+# Copyright 2015 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# A build status command to provide the package info generator with
+# the information about the commit being built
+
+set -eu
+SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+source "$(dirname ${SCRIPT_DIR})/scripts/release/common.sh"
+
+git_hash=$(git rev-parse --short HEAD)
+echo "RELEASE_GIT_HASH ${git_hash}"
+url="${GIT_REPOSITORY_URL:-https://github.com/google/bazel}"
+echo "RELEASE_COMMIT_URL ${url}/commit/${git_hash}"
+if [ -n "${BUILT_BY-}" ]; then
+ echo "RELEASE_BUILT_BY ${BUILT_BY}"
+fi
+if [ -n "${BUILD_LOG-}" ]; then
+ echo "RELEASE_BUILD_LOG ${BUILD_LOG}"
+fi
+echo "RELEASE_COMMIT_MSG $(git_commit_msg | tr '\n' '\f')"
+release_name=$(get_release_name)
+rc=$(get_release_candidate)
+if [ -n "${release_name}" ]; then
+ if [ -n "${rc}" ]; then
+ echo "RELEASE_NAME ${release_name}rc${rc}"
+ else
+ echo "RELEASE_NAME ${release_name}"
+ fi
+fi